commit: 95f903c8e2edc876b6b9e5c328e2c7e0f20dce9b
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Nov 22 22:59:57 2020 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Nov 23 00:33:30 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=95f903c8
games-strategy/wargus: Add postinst about missing ripping deps
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
games-strategy/wargus/wargus-2.4.3.ebuild | 11 +++++++++++
1 file changed, 11 insertions(+)
diff --git a/games-strategy/wargus/wargus-2.4.3.ebuild
b/games-strategy/wargus/wargus-2.4.3.ebuild
index 644f87d1d5a..23954b3347a 100644
--- a/games-strategy/wargus/wargus-2.4.3.ebuild
+++ b/games-strategy/wargus/wargus-2.4.3.ebuild
@@ -52,6 +52,17 @@ pkg_postinst() {
elog "it automatically on the first run. Only the DOS version is
supported"
elog "at the moment."
+ if ! has_version media-video/ffmpeg ||
+ ! has_version media-sound/cdparanoia
+ then
+ elog
+ elog "If you did not convert the game data yet, you may want to
install"
+ elog "the following optional dependencies:"
+ elog
+ elog "media-video/ffmpeg -- to convert game videos"
+ elog "media-sound/cdparanoia -- to rip game music from the CD"
+ fi
+
xdg_icon_cache_update
}